org.apache.cassandra.db.filter

## Class RowFilter.UserExpression.Deserializer

- java.lang.Object
- - org.apache.cassandra.db.filter.RowFilter.UserExpression.Deserializer

- Enclosing class:
    RowFilter.UserExpression

      protected abstract static class RowFilter.UserExpression.Deserializer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Deserializer()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract RowFilter.UserExpression` | `deserialize(DataInputPlus in, int version, CFMetaData metadata)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Deserializer

          protected Deserializer()

  - ### Method Detail

    - #### deserialize

          protected abstract RowFilter.UserExpression deserialize(DataInputPlus in,
                                                                  int version,
                                                                  CFMetaData metadata)
                                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation